<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">
    <p-panel>
        <p-header>
            <!-- {{'global.field.id' | translate}} : {{productShipmentIncoming.idShipment}} -->
            <ul class="nav justify-content-end">
                <li class="nav-item">
                    <a class="btn" (click)="previousState()" style="cursor: pointer;"><i class="fa fa-ban"></i> &nbsp;{{'entity.action.cancel' | translate}}</a>
                </li>
                <li class="nav-item">
                    <a class="btn" (click)="save()" href="javascript:void(0)" style="cursor: pointer;"><i class="fa fa-save"></i> &nbsp;{{'entity.action.save' | translate}}</a>
                </li>
            </ul>
        </p-header>
        <div class="card-deck" style="margin-bottom: 15px;">
            <div class="card">
                <div class="card-block">
                    <div class="form-group" [hidden]="!productShipmentIncoming.idShipment">
                        <label for="id" jhiTranslate="global.field.id">ID</label>
                        <input type="text" class="form-control" id="id" name="id" [(ngModel)]="productShipmentIncoming.idShipment" readonly />
                    </div>
                    <div class="form-group">
                        <label class="form-control-label" jhiTranslate="mpmApp.productShipmentIncoming.shipmentNumber" for="field_shipmentNumber">Shipment Number</label>
                        <input type="text" class="form-control" name="shipmentNumber" id="field_shipmentNumber"
                            [(ngModel)]="productShipmentIncoming.shipmentNumber"  />
                    </div>
                    <div class="form-group">
                        <label class="form-control-label" jhiTranslate="mpmApp.productShipmentIncoming.description" for="field_description">Description</label>
                        <input type="text" class="form-control" name="description" id="field_description"
                            [(ngModel)]="productShipmentIncoming.description"  />
                    </div>
                    <div class="form-group">
                        <label class="form-control-label" jhiTranslate="mpmApp.productShipmentIncoming.dateSchedulle" for="field_dateSchedulle">Date Schedulle</label>
                        <div class="input-group">
                            <p-calendar inputId="field_dateSchedulle" name="input_dateSchedulle" [(ngModel)]="productShipmentIncoming.dateSchedulle"
                                dateFormat="dd-mm-yy" [showTime]="true" hourFormat="24" [showSeconds]="true"
                                [showIcon]="true"></p-calendar>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="form-control-label" jhiTranslate="mpmApp.productShipmentIncoming.reason" for="field_reason">Reason</label>
                        <input type="text" class="form-control" name="reason" id="field_reason"
                            [(ngModel)]="productShipmentIncoming.reason"  />
                    </div>

                    <div class="form-group">
                        <label jhiTranslate="mpmApp.productShipmentIncoming.shipmentType" for="field_shipmentType">Shipment Type</label>
                        <select class="form-control" id="field_shipmentType" name="shipmentType" [(ngModel)]="productShipmentIncoming.shipmentTypeId" >
                            <option [ngValue]="null"></option>
                            <option [ngValue]="shipmentTypeOption.idShipmentType" *ngFor="let shipmentTypeOption of shipmenttypes; trackBy: trackShipmentTypeById">{{shipmentTypeOption.id}}</option>
                        </select>
                    </div>
                    <div class="form-group">
                        <label jhiTranslate="mpmApp.productShipmentIncoming.shipFrom" for="field_shipFrom">Ship From</label>
                        <select class="form-control" id="field_shipFrom" name="shipFrom" [(ngModel)]="productShipmentIncoming.shipFromId" >
                            <option [ngValue]="null"></option>
                            <option [ngValue]="shipToOption.idShipTo" *ngFor="let shipToOption of shiptos; trackBy: trackShipToById">{{shipToOption.id}}</option>
                        </select>
                    </div>
                    <div class="form-group">
                        <label jhiTranslate="mpmApp.productShipmentIncoming.shipTo" for="field_shipTo">Ship To</label>
                        <select class="form-control" id="field_shipTo" name="shipTo" [(ngModel)]="productShipmentIncoming.shipToId" >
                            <option [ngValue]="null"></option>
                            <option [ngValue]="shipToOption.idShipTo" *ngFor="let shipToOption of shiptos; trackBy: trackShipToById">{{shipToOption.id}}</option>
                        </select>
                    </div>
                    <div class="form-group">
                        <label jhiTranslate="mpmApp.productShipmentIncoming.addressFrom" for="field_addressFrom">Address From</label>
                        <select class="form-control" id="field_addressFrom" name="addressFrom" [(ngModel)]="productShipmentIncoming.addressFromId" >
                            <option [ngValue]="null"></option>
                            <option [ngValue]="postalAddressOption.idContact" *ngFor="let postalAddressOption of postaladdresses; trackBy: trackPostalAddressById">{{postalAddressOption.id}}</option>
                        </select>
                    </div>
                    <div class="form-group">
                        <label jhiTranslate="mpmApp.productShipmentIncoming.addressTo" for="field_addressTo">Address To</label>
                        <select class="form-control" id="field_addressTo" name="addressTo" [(ngModel)]="productShipmentIncoming.addressToId" >
                            <option [ngValue]="null"></option>
                            <option [ngValue]="postalAddressOption.idContact" *ngFor="let postalAddressOption of postaladdresses; trackBy: trackPostalAddressById">{{postalAddressOption.id}}</option>
                        </select>
                    </div>
                </div>
            </div>
        </div>
        <jhi-shipment-item-as-list [idShipment]="idShipment"></jhi-shipment-item-as-list>
    </p-panel>
</form>
<p-confirmDialog></p-confirmDialog>